# Safehouse Progression [Beta]
Experimental release!!! Please provide feedback after reading "Known Bugs".  
[>>[Feedback form]<<](https://forms.gle/TBEe2btHePCsGp557)  
[>>[Tutorial_GIF]<<](https://i.imgur.com/MfnFAjo.mp4)

## Buttons
**Extract-to-Safehouse**  
 - Saves your current quickbelt loadout to a Vault file.
 - Spawns you in your safehouse `GP_Hangar` map, and loads your safehouse scene config vault file.
 - Automatically equips you with the raid-extracted loadout.
 - Removes items from Vault file to avoid item duplication.

**Leave-the-Safehouse**  
- Saves your current quickbelt loadout to a Vault file. This will be your Deployment Loadout.
- Saves the current safehouse scene, `GP_Hangar` map, to a vault file.
- Spawns you in `MainMenu3`.

**Deployment-Loadout**  
- Equips the deployment loadout you saved when you pressed `Leave-the-Safehouse`
- Removes items from Vault file to avoid item duplication.

## Example Usage:
[>>[Tutorial_GIF]<<](https://i.imgur.com/MfnFAjo.mp4)
>-You finish a TnH raid, you found a ModulAR.  
>-You press `Extract-to-Safehouse` on your wrist menu and appear within the map GP_Hangar.   
>-Automatically, your raid-extracted quickbelt and your customized GP_Hangar home are loaded.  
>-You hang the ModulAR on the wall.  
>-You grab your meta SVT-40.  
>-You press `Leave-the-Safehouse` and land on the MainMenu.  
>-You start another TnH round in a different map.  
>-You press `Deployment-Loadout`, and automatically your SVT-40 loadout is equipped. You die.  
>-You press `Extract-to-Safehouse` in the Main Menu, the flare gun and ModulAR still hang on the wall of GP_Hangar.  

## Known Bugs
* You may lose *specific* items in your loadout or safehouse when extracting or deploying. This is expected, reach out to the authors of the missing mods to ask for a "Vault Saving Fix".
* Go report new ones here: [>>[Feedback form]<<](https://forms.gle/TBEe2btHePCsGp557)

## Planned Features
- [✓] Wrist menu button "Safehouse"
- [✓] Buttons for entering/leaving Safehouse and equipping loadout.
- [✓] Remove buggy `Deployment-Loadout` in 3rd Party Mod Maps
- [✓] Fix bug for losing safehouse or loadout with broken mods
- [_] Config variable: Keep last X-many saved loadouts & Safehouse scenes
- [_] Config variable: Safehouse can be any map, not just `GP_Hangar`

## Versions
### 0.2.0
* Added dependency mod [VaultSaveCompatibility](https://h3vr.thunderstore.io/package/NGA/VaultSaveCompatibility/) which fixes issues with losing safehouses and loadouts.
### 0.1.1
* Removed double-loading bug when entering Safehouse, causing default scene to load alongside your Safehouse.
* Deploying equipment in 3rd party maps seems to work fine now.
### 0.1.0
* All buttons in new Wrist-Menu "Safehouse" work as described above
* Only 1 safe file per quickbelt/scene, so it may be corrupted and lost. Use Scene Saving to save another backup file if you'd hate to lose something.
